Bug 270242 - Find text changed when search bar gets attached to a component with selected text
Find text changed when search bar gets attached to a component with selected ...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Search
Dev
All All
: P2 (vote)
: TBD
Assigned To: Milutin Kristofic
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-29 13:44 UTC by Miloslav Metelka
Modified: 2017-04-05 01:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2017-03-29 13:44:50 UTC
1. Create or open an editor of an arbitrary mime-type let's call it fileA.
2. Select some text e.g. 'package'.
3. Create or open a second file.
4. Press Ctrl+F (on Linux or Windows) to search for a text - enter e.g. 'ab' into find text field.
5. Press Ctrl+PgUp to focus fileA (while focus still remains in the find text field of the search bar).
6. Find field's text changes to 'package' (the text selected in fileA). IMHO this is confusing behavior in this particular scenario and the text of the search field should remain unchanged.
Comment 1 Milutin Kristofic 2017-04-03 11:44:55 UTC
Thank you, I disallow setting selected text to findbar if findbar was trigger by persistencelistener.

Fixed in http://hg.netbeans.org/jet-main/rev/3ee0f5a876f1
Comment 2 Quality Engineering 2017-04-05 01:44:01 UTC
Integrated into 'main-silver', will be available in build *201704050002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3ee0f5a876f1
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #270242 - Find text changed when search bar gets attached to a component with selected text


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo